コンテンツにスキップ

CityGMLの属性情報を取得

GET
/citygml/attributes
curl --request GET \
--url 'https://api.plateauview.mlit.go.jp/citygml/attributes?url=example&id=example'
url
required
string

CityGMLファイルのURL

id
required
string

カンマ区切りのgml:id

成功時のレスポンス

Media type application/json
Array<object>

地物の属性情報

object
_bbox

ジオメトリのバウンディングボックス(lod1Solid)

object
center

バウンディングボックスの中心座標

object
alt

中心高度(m・標高)

number format: double
lat

中心緯度

number format: double
lng

中心経度

number format: double
max
object
alt

最大高度(m・標高)

number format: double
lat

最大緯度

number format: double
lng

最大経度

number format: double
min
object
alt

最小高度(m・標高)

number format: double
lat

最小緯度

number format: double
lng

最小経度

number format: double
_type

地物の型

string
gml:id

地物のID

string
key
additional properties
any
Example generated
[
{
"_bbox": {
"center": {
"alt": 1,
"lat": 1,
"lng": 1
},
"max": {
"alt": 1,
"lat": 1,
"lng": 1
},
"min": {
"alt": 1,
"lat": 1,
"lng": 1
}
},
"_type": "example",
"gml:id": "example"
}
]

無効なリクエスト

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}

サーバーエラー

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}